---------------------
PatchSet 5557 
Date: 2007/08/29 07:44:01
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Cosmeticfix to display of external ACL helper details.

Members: 
	src/external_acl.cc:1.37.6.16->1.37.6.17 

Index: squid3/src/external_acl.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/external_acl.cc,v
retrieving revision 1.37.6.16
retrieving revision 1.37.6.17
diff -u -r1.37.6.16 -r1.37.6.17
--- squid3/src/external_acl.cc	23 Aug 2007 08:35:25 -0000	1.37.6.16
+++ squid3/src/external_acl.cc	29 Aug 2007 07:44:01 -0000	1.37.6.17
@@ -1,6 +1,6 @@
 
 /*
- * $Id: external_acl.cc,v 1.37.6.16 2007/08/23 08:35:25 amosjeffries Exp $
+ * $Id: external_acl.cc,v 1.37.6.17 2007/08/29 07:44:01 amosjeffries Exp $
  *
  * DEBUG: section 82    External ACL
  * AUTHOR: Henrik Nordstrom, MARA Systems AB
@@ -265,12 +265,11 @@
     /* INET6: allow admin to configure some helpers explicitly to
               bind to IPv4/v6 localhost port. */
         } else if (strcmp(token, "ipv4") == 0) {
-            if( !a->local_addr.SetIPv4() ) {
 #if IPV6_SPECIAL_LOCALHOST
-                debugs(3, 0, "WARNING: --with-localhost-ipv6 conflicts with external ACL helper to using IPv4: " << a->name );
-#else
-            (void)0;
+            debugs(3, 0, "WARNING: --with-localhost-ipv6 conflicts with external ACL helper to using IPv4: " << a->name );
 #endif
+            if( !a->local_addr.SetIPv4() ) {
+                debugs(3, 0, "WARNING: Error converting " << a->local_addr << " to IPv4 in " << a->name );
             }
         } else if (strcmp(token, "ipv6") == 0) {
 #if !USE_IPV6
@@ -427,6 +426,11 @@
     for (node = list; node; node = node->next) {
         storeAppendPrintf(sentry, "%s %s", name, node->name);
 
+        if (!node->local_addr.IsIPv6())
+            storeAppendPrintf(sentry, " ipv4");
+        else
+            storeAppendPrintf(sentry, " ipv6");
+
         if (node->ttl != DEFAULT_EXTERNAL_ACL_TTL)
             storeAppendPrintf(sentry, " ttl=%d", node->ttl);
 
